### Constructor

# Gio UnixFDMessage new

since: 2.22

#### Declaration

    GSocketControlMessage*
    g_unix_fd_message_new (
      void
    )

#### Description

Creates a new `GUnixFDMessage` containing an empty file descriptor list.

Available since: 2.22

#### Return value

Type: `GSocketControlMessage`

A new `GUnixFDMessage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.